VDW
Date: 2019-10-22

org.jmol.c

## Enum VDW

- java.lang.Object
- - java.lang.Enum<VDW>
  - - org.jmol.c.VDW

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VDW>

      public enum VDW
      extends java.lang.Enum<VDW>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADPMAX`
    `ADPMIN`
    `AUTO`
    `AUTO_BABEL`
    `AUTO_JMOL`
    `AUTO_RASMOL`
    `BABEL`
    `BABEL21`
    `BONDING`
    `HYDRO`
    `JMOL`
    `NADA`
    `NOJMOL`
    `RASMOL`
    `TEMP`
    `USER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `pt`
    `private java.lang.String` | `type`
    `private java.lang.String` | `type2`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getVdwLabel()`
    `static VDW` | `getVdwType(java.lang.String label)`
    `static VDW` | `getVdwType2(java.lang.String label)`
    `static VDW` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VDW[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JMOL

          public static final VDW JMOL

    - #### BABEL

          public static final VDW BABEL

    - #### RASMOL

          public static final VDW RASMOL

    - #### BABEL21

          public static final VDW BABEL21

    - #### AUTO_JMOL

          public static final VDW AUTO_JMOL

    - #### AUTO_BABEL

          public static final VDW AUTO_BABEL

    - #### AUTO_RASMOL

          public static final VDW AUTO_RASMOL

    - #### AUTO

          public static final VDW AUTO

    - #### USER

          public static final VDW USER

    - #### ADPMAX

          public static final VDW ADPMAX

    - #### ADPMIN

          public static final VDW ADPMIN

    - #### HYDRO

          public static final VDW HYDRO

    - #### BONDING

          public static final VDW BONDING

    - #### TEMP

          public static final VDW TEMP

    - #### NOJMOL

          public static final VDW NOJMOL

    - #### NADA

          public static final VDW NADA

  - ### Field Detail

    - #### pt

          public int pt

    - #### type

          private java.lang.String type

    - #### type2

          private java.lang.String type2

  - ### Method Detail

    - #### values

          public static VDW[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VDW c : VDW.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VDW valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getVdwLabel

          public java.lang.String getVdwLabel()

    - #### getVdwType

          public static VDW getVdwType(java.lang.String label)

    - #### getVdwType2

          public static VDW getVdwType2(java.lang.String label)